<ion-header
  *transloco="let t"
  [ngClass]="{
    'ion-header-not-scrolled': !isScrolled,
    'ion-header-is-scrolled': isScrolled,
  }"
  [style.--background]="headerBackgroundStyle"
  [style.background]="headerBackgroundStyle"
  class="custom-header header-collapse-condense-inactive"
  mode="ios"
>
  <ion-toolbar
    [ngClass]="{
      'ion-toolbar-not-scrolled': !isScrolled,
      'ion-toolbar-is-scrolled': isScrolled,
    }"
    mode="ios"
  >
    @if (showBackButton) {
      <ion-buttons slot="start">
        @if (backButtonClick.observed) {
          <ion-button
            (click)="emitButtonClick()"
            *ngIf="backButtonClick.observed"
          >
            <lib-general-icon
              [size]="iconFontSize.tiny"
              [type]="iconType.materialSymbolsOutlined"
              name="arrow_back_ios_new"
              data-test="close-modal-back-button"
            ></lib-general-icon>
            {{ t('ui.back') }}
          </ion-button>
        } @else {
          <ion-back-button
            *ngIf="!backButtonClick.observed"
            [attr.aria-hidden]="true"
            [text]="t('ui.back')"
            [defaultHref]="defaultHref"
            data-test="back-button"
          ></ion-back-button>
        }
      </ion-buttons>
    }

    <ion-title
      *ngIf="pageTitle"
      [lang]="titleLang"
      [ngClass]="{ title: true, 'content-font': useContentFont }"
      [translate]="titleLang === 'de' ? 'yes' : 'no'"
      aria-level="1"
      role="heading"
    >
      <ng-container>{{ pageTitle }}</ng-container>
    </ion-title>

    <ion-buttons slot="end">
      <!--
      we cannot use the common button component here because
      it has a lot of unpredictable margins and paddings,
      and we need to be exact here
    -->
      <a
        *ngIf="settingsPageRoute"
        [attr.aria-label]="t('ui.settings')"
        [routerLink]="settingsPageRoute"
        class="settings"
      >
        <lib-general-icon
          [color]="iconColor.mainForeground"
          [size]="iconFontSize.medium"
          [type]="iconType.materialIconsOutlined"
          name="settings"
        ></lib-general-icon>
      </a>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content
  #content
  (ionScroll)="onContentScroll($event)"
  *transloco="let t"
  [fullscreen]="true"
  [ngClass]="{ 'no-edge-spacing': removeEdgeSpacing }"
  [scrollEvents]="true"
  [style.--background]="
    useMaximumBackground
      ? 'var(--Maximum-Background)'
      : 'var(--Colored-Background)'
  "
  [style.background]="
    useMaximumBackground
      ? 'var(--Maximum-Background)'
      : 'var(--Colored-Background)'
  "
>
  <ion-header
    *ngIf="pageTitle"
    class="condensed-header"
    collapse="condense"
    mode="ios"
  >
    <ion-toolbar class="ion-no-padding">
      <h1
        [lang]="titleLang"
        [ngClass]="{ 'condensed-title': true, 'content-font': useContentFont }"
        [translate]="titleLang === 'de' ? 'yes' : 'no'"
        aria-level="1"
      >
        {{ pageTitle }}
      </h1>
    </ion-toolbar>
  </ion-header>
  <ng-content></ng-content>
</ion-content>
